Index: branches/WebJobManager/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 13656)
@@ -32,17 +32,19 @@
   [StorableClass]
   public abstract class Benchmark : IBenchmark {
-    public virtual string ItemName {
+    public virtual string ItemName
+    {
       get { return ItemAttribute.GetName(this.GetType()); }
     }
-    public virtual string ItemDescription {
+    public virtual string ItemDescription
+    {
       get { return ItemAttribute.GetDescription(this.GetType()); }
     }
-    public Version ItemVersion {
+    public Version ItemVersion
+    {
       get { return ItemAttribute.GetVersion(this.GetType()); }
     }
-    public static Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Event; }
-    }
-    public virtual Image ItemImage {
+
+    public virtual Image ItemImage
+    {
       get { return ItemAttribute.GetImage(this.GetType()); }
     }
@@ -50,5 +52,6 @@
     [Storable]
     private byte[][] chunk;
-    public byte[][] ChunkData {
+    public byte[][] ChunkData
+    {
       get { return chunk; }
       set { chunk = value; }
@@ -57,5 +60,6 @@
     [Storable]
     private TimeSpan timeLimit;
-    public TimeSpan TimeLimit {
+    public TimeSpan TimeLimit
+    {
       get { return timeLimit; }
       set { timeLimit = value; }
Index: branches/WebJobManager/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 13656)
@@ -42,18 +42,24 @@
     private CancellationTokenSource cancellationTokenSource;
 
-    public string ItemName {
+    public string ItemName
+    {
       get { return ItemAttribute.GetName(this.GetType()); }
     }
-    public string ItemDescription {
+    public string ItemDescription
+    {
       get { return ItemAttribute.GetDescription(this.GetType()); }
     }
-    public Version ItemVersion {
+    public Version ItemVersion
+    {
       get { return ItemAttribute.GetVersion(this.GetType()); }
     }
-    public static Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Event; }
-    }
-    public Image ItemImage {
-      get {
+    public static Image StaticItemImage
+    {
+      get { return new Bitmap(25, 25); }
+    }
+    public Image ItemImage
+    {
+      get
+      {
         if (ExecutionState == ExecutionState.Prepared) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePrepared;
         else if (ExecutionState == ExecutionState.Started) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStarted;
@@ -69,7 +75,9 @@
     [Storable]
     private IBenchmark benchmark;
-    public IBenchmark Benchmark {
+    public IBenchmark Benchmark
+    {
       get { return benchmark; }
-      set {
+      set
+      {
         if (value == null) throw new ArgumentNullException();
         benchmark = value;
@@ -79,7 +87,9 @@
     [Storable]
     private ExecutionState executionState;
-    public ExecutionState ExecutionState {
+    public ExecutionState ExecutionState
+    {
       get { return executionState; }
-      private set {
+      private set
+      {
         if (executionState != value) {
           executionState = value;
@@ -92,7 +102,9 @@
     [Storable]
     private TimeSpan executionTime;
-    public TimeSpan ExecutionTime {
+    public TimeSpan ExecutionTime
+    {
       get { return executionTime; }
-      private set {
+      private set
+      {
         executionTime = value;
         OnExecutionTimeChanged();
@@ -102,7 +114,9 @@
     [Storable]
     private bool storeAlgorithmInEachRun;
-    public bool StoreAlgorithmInEachRun {
+    public bool StoreAlgorithmInEachRun
+    {
       get { return storeAlgorithmInEachRun; }
-      set {
+      set
+      {
         if (storeAlgorithmInEachRun != value) {
           storeAlgorithmInEachRun = value;
@@ -117,7 +131,9 @@
     [Storable]
     private RunCollection runs = new RunCollection();
-    public RunCollection Runs {
+    public RunCollection Runs
+    {
       get { return runs; }
-      private set {
+      private set
+      {
         if (value == null) throw new ArgumentNullException();
         if (runs != value) {
@@ -131,10 +147,13 @@
     [Storable]
     private ResultCollection results;
-    public ResultCollection Results {
+    public ResultCollection Results
+    {
       get { return results; }
     }
 
-    public Type ProblemType {
-      get {
+    public Type ProblemType
+    {
+      get
+      {
         // BenchmarkAlgorithm does not have a problem, so return a type which is no problem for sure
         return typeof(BenchmarkAlgorithm);
@@ -142,5 +161,6 @@
     }
 
-    public IProblem Problem {
+    public IProblem Problem
+    {
       get { return null; }
       set { throw new NotImplementedException("BenchmarkAlgorithm does not have a problem."); }
@@ -149,7 +169,9 @@
     [Storable]
     private string name;
-    public string Name {
+    public string Name
+    {
       get { return name; }
-      set {
+      set
+      {
         if (!CanChangeName) throw new NotSupportedException("Name cannot be changed.");
         if (!(name.Equals(value) || (value == null) && (name == string.Empty))) {
@@ -164,5 +186,6 @@
       }
     }
-    public bool CanChangeName {
+    public bool CanChangeName
+    {
       get { return true; }
     }
@@ -170,7 +193,9 @@
     [Storable]
     private string description;
-    public string Description {
+    public string Description
+    {
       get { return description; }
-      set {
+      set
+      {
         if (!CanChangeDescription) throw new NotSupportedException("Description cannot be changed.");
         if (!(description.Equals(value) || (value == null) && (description == string.Empty))) {
@@ -180,5 +205,6 @@
       }
     }
-    public bool CanChangeDescription {
+    public bool CanChangeDescription
+    {
       get { return true; }
     }
@@ -186,10 +212,13 @@
     [Storable]
     private ParameterCollection parameters = new ParameterCollection();
-    public IKeyedItemCollection<string, IParameter> Parameters {
+    public IKeyedItemCollection<string, IParameter> Parameters
+    {
       get { return parameters; }
     }
     private ReadOnlyKeyedItemCollection<string, IParameter> readOnlyParameters;
-    IKeyedItemCollection<string, IParameter> IParameterizedItem.Parameters {
-      get {
+    IKeyedItemCollection<string, IParameter> IParameterizedItem.Parameters
+    {
+      get
+      {
         if (readOnlyParameters == null) readOnlyParameters = parameters.AsReadOnly();
         return readOnlyParameters;
@@ -197,16 +226,20 @@
     }
 
-    public IEnumerable<IOptimizer> NestedOptimizers {
+    public IEnumerable<IOptimizer> NestedOptimizers
+    {
       get { return Enumerable.Empty<IOptimizer>(); }
     }
 
     #region Parameter Properties
-    public IConstrainedValueParameter<IBenchmark> BenchmarkParameter {
+    public IConstrainedValueParameter<IBenchmark> BenchmarkParameter
+    {
       get { return (IConstrainedValueParameter<IBenchmark>)Parameters["Benchmark"]; }
     }
-    private ValueParameter<IntValue> ChunkSizeParameter {
+    private ValueParameter<IntValue> ChunkSizeParameter
+    {
       get { return (ValueParameter<IntValue>)Parameters["ChunkSize"]; }
     }
-    private ValueParameter<DoubleValue> TimeLimitParameter {
+    private ValueParameter<DoubleValue> TimeLimitParameter
+    {
       get { return (ValueParameter<DoubleValue>)Parameters["TimeLimit"]; }
     }
